Application

列出组件

列出组件

GET /application/v1/workers/{worker_id}/components

List the databases, namespaces and buckets this Worker owns.

支持状态: supported

参数

名称位置类型必填说明
worker_idpathstringtrueWorker ID (wkr_…).

响应

HTTP 200

Success

application/json

名称类型说明
[].idstringComponent ID, prefixed cmp_.
[].worker_idstringOwning Worker.
[].bindingstringBinding name in the Worker's env.
[].typestringComponent type: d1 database, kv namespace or r2 bucket.
[].statusstringComponent status: provisioning, ready, failed, deleting or deleted.
[].location_hintstringAlways apac.
[].usageobject | nullStorage usage.
[].usage.bytesintegerStored bytes.
[].usage.itemsintegerStored items.
[].created_onstringWhen the component was created.
导出

本页内容